Subject: Re: More experiences with snapshot setup-md5-20020504-compressed.exe
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 10 May 2002 04:06:39 -0700 (PDT)

John,

I noticed it started happening on mirrors where the new additional apache
modules were added, which once had worked now gave me the same errors as
you.  Just an observation for those who might be able to make sense out of
it.

Nicholas
--- "John P. Rouillard" <[email-masked]> wrote:
> Hi all:
> 
> Well I have a couple of more data points for the snapshot.
> 
> Windows 2000 5.00.2195 Service Pack 1, 130kb of RAM
> from http://mirrors.rcn.net I was unable to get/parse setup.ini.
> I got a parse error popup that read:
> 
>   setup.ini line 2178 parser stack overflow
>   setup.ini line 2178 parse error unexpected STRING
>   setup.ini line 2178 unrecognized line in setup.ini headers (do you
> have the latest setup?)
>   <bunch more of these lines>
>   setup.ini line 2203 parse error unexpected "\n.' expecting string
>   ...
>   setup.ini line 2206 parse error unrecognized SETUP_TIMESTAMP
>   setup.ini line 2206 unrecognized line in pkg zlib
>   ...
>   setup.ini line 4376 parser stack overflow
> 
> I also did downloads from ftp:gd.tuwein.ac.at, ftp:ftp.nas.nasa.gov, 
> ftp:archive.progeny.com and http:planetmirror.com.
> 
> Sometimes the line numbers were different. Also the errors "grew" the
> more I did the download from a site. Somtimes initially I would just
> get a "parser stack overflow" popup without the long list of
> errors. Then it would grow and give me the listing shown (in
> abbrevaited form above) then I sometimes got what looks like two sets
> of errors separated by a couple of thousand lines.
> 
> When I downloaded the setup.ini files manually, they had less than
> 2100 or so lines in them.  Obviously the setup.ini parser is going of
> the deep end, or the files are growing during xport 8-). Hmm, is the
> setup.ini temp file deleted when an error occurs? Where is this file
> kept? Its not in the http% directory since I still have my old
> setup.ini file there. /winnt/temp doesn't show it either.
> 
> Now the funny part, I was sure that I had used this build to download
> and install some files on a Windows NT 4, sp5 box on Monday. However I
> just tried it again, and ended up getting the parse error failure.
> 
> I didn't check but have the setup.ini files changed on the mirrors?
> 
> I'll see if I can get a chance to rebuild the source and look at
> it. Also as an aside, it would be nice if that error box were able to
> handle selection and copy operations. Would make it easier to generate
> error reports.
> 
> 				-- rouilj
> John Rouillard
>
===============================================================================
> My employers don't acknowledge my existence much less my opinions.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Mother's Day is May 12th!
http://shopping.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/